impossible to update

Questions about applications and software
Forum rules
Before you post please read how to get help
lucio
Level 1
Level 1
Posts: 36
Joined: Thu Feb 01, 2018 2:01 pm

impossible to update

Post by lucio » Wed Feb 07, 2018 5:37 am

hello, i have these updates listed but the manager fails to update them. it tells me that the package libqmi-glib5 is gonna be installed, i press ok and then nothing happens.

Image
Last edited by lucio on Mon Feb 12, 2018 5:40 am, edited 2 times in total.
System: Host: pc Kernel: 4.13.0-32-generic x86_64 (64 bit)
Desktop: MATE 1.18.0 Distro: Linux Mint 18.3 Sylvia

User avatar
Pjotr
Level 20
Level 20
Posts: 10152
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: impossible to update

Post by Pjotr » Wed Feb 07, 2018 7:11 am

Close Update Manager and try this:

Code: Select all

sudo mintupdate-tool upgrade -r -l123 -s -nk
Tip: 10 things to do after installing Linux Mint 18.3 Sylvia
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

lucio
Level 1
Level 1
Posts: 36
Joined: Thu Feb 01, 2018 2:01 pm

Re: impossible to update

Post by lucio » Wed Feb 07, 2018 1:36 pm

Pjotr wrote:
Wed Feb 07, 2018 7:11 am
Close Update Manager and try this:

Code: Select all

sudo mintupdate-tool upgrade -r -l123 -s -nk
thanks, it worked.
the guys who say the terminal isn't necessary anymore on linux should be shot :D
System: Host: pc Kernel: 4.13.0-32-generic x86_64 (64 bit)
Desktop: MATE 1.18.0 Distro: Linux Mint 18.3 Sylvia

User avatar
Pjotr
Level 20
Level 20
Posts: 10152
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: impossible to update

Post by Pjotr » Wed Feb 07, 2018 1:53 pm

lucio wrote:
Wed Feb 07, 2018 1:36 pm
Pjotr wrote:
Wed Feb 07, 2018 7:11 am
Close Update Manager and try this:

Code: Select all

sudo mintupdate-tool upgrade -r -l123 -s -nk
thanks, it worked.
the guys who say the terminal isn't necessary anymore on linux should be shot :D
Well, usually it's indeed not necessary anymore (don't shoot).... But this was an exception. :)

But I like using the terminal now and then anyway, because terminal applications are mostly faster than graphical applications. The terminal is the mighty Swiss army knife of Linux.
Tip: 10 things to do after installing Linux Mint 18.3 Sylvia
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

lucio
Level 1
Level 1
Posts: 36
Joined: Thu Feb 01, 2018 2:01 pm

Re: (solved) impossible to update

Post by lucio » Fri Feb 09, 2018 3:08 am

now i have these updates to do and the same problem is going on.

Image

i have already "solved" it by coping your code in the terminal, but why is this happening? do i have to save this code somewhere and use it every time there is an update? doesn't seem like a good thing to me
System: Host: pc Kernel: 4.13.0-32-generic x86_64 (64 bit)
Desktop: MATE 1.18.0 Distro: Linux Mint 18.3 Sylvia

User avatar
Pjotr
Level 20
Level 20
Posts: 10152
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: (solved) impossible to update

Post by Pjotr » Fri Feb 09, 2018 5:40 am

Apparently there's still something wrong with mintupdate. Try this:

Code: Select all

sudo apt-get install --reinstall mintupdate
By the way: updating by means of the terminal, with mintupdate-tool, is perfectly safe....
Tip: 10 things to do after installing Linux Mint 18.3 Sylvia
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

lucio
Level 1
Level 1
Posts: 36
Joined: Thu Feb 01, 2018 2:01 pm

Re: (solved) impossible to update

Post by lucio » Mon Feb 12, 2018 5:15 am

i can't update, not even with your commands now
System: Host: pc Kernel: 4.13.0-32-generic x86_64 (64 bit)
Desktop: MATE 1.18.0 Distro: Linux Mint 18.3 Sylvia

User avatar
Moem
Level 15
Level 15
Posts: 5620
Joined: Tue Nov 17, 2015 9:14 am
Location: The Netherlands
Contact:

Re: impossible to update

Post by Moem » Mon Feb 12, 2018 5:46 am

What is the error message you get when trying to update through the terminal?
Image

If your issue is solved, kindly indicate that by editing the first post in the topic, and adding [SOLVED] to the title. Thanks!

lucio
Level 1
Level 1
Posts: 36
Joined: Thu Feb 01, 2018 2:01 pm

Re: impossible to update

Post by lucio » Mon Feb 12, 2018 5:51 am

if i type sudo mintupdate-tool upgrade -r -l123 -s -nk

this is what i get

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apt/cache.py", line 452, in update
pulse_interval)
SystemError: W:The repository 'http://mirror.crazynetwork.it/ubuntu/archive xenial Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., W:The repository 'http://mirror.crazynetwork.it/ubuntu/archive xenial-updates Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., W:The repository 'http://mirror.crazynetwork.it/ubuntu/archive xenial-backports Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., E:Failed to fetch http://mirror.crazynetwork.it/ubuntu/ar ... 4/Packages 502 Bad Gateway, E:Failed to fetch http://mirror.crazynetwork.it/ubuntu/ar ... 4/Packages 502 Bad Gateway, E:Failed to fetch http://mirror.crazynetwork.it/ubuntu/ar ... 4/Packages 404 Not Found, E:Some index files failed to download. They have been ignored, or old ones used instead.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintUpdate/mintupdate-tool.py", line 37, in <module>
check.refresh_cache()
File "/usr/lib/linuxmint/mintUpdate/checkAPT.py", line 97, in refresh_cache
self.cache.update()
File "/usr/lib/python3/dist-packages/apt/cache.py", line 454, in update
raise FetchFailedException(e)
apt.cache.FetchFailedException: W:The repository 'http://mirror.crazynetwork.it/ubuntu/archive xenial Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., W:The repository 'http://mirror.crazynetwork.it/ubuntu/archive xenial-updates Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., W:The repository 'http://mirror.crazynetwork.it/ubuntu/archive xenial-backports Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., E:Failed to fetch http://mirror.crazynetwork.it/ubuntu/ar ... 4/Packages 502 Bad Gateway, E:Failed to fetch http://mirror.crazynetwork.it/ubuntu/ar ... 4/Packages 502 Bad Gateway, E:Failed to fetch http://mirror.crazynetwork.it/ubuntu/ar ... 4/Packages 404 Not Found, E:Some index files failed to download. They have been ignored, or old ones used instead.
System: Host: pc Kernel: 4.13.0-32-generic x86_64 (64 bit)
Desktop: MATE 1.18.0 Distro: Linux Mint 18.3 Sylvia

User avatar
Moem
Level 15
Level 15
Posts: 5620
Joined: Tue Nov 17, 2015 9:14 am
Location: The Netherlands
Contact:

Re: impossible to update

Post by Moem » Mon Feb 12, 2018 6:02 am

What happens if you choose a different mirror server?
Image

If your issue is solved, kindly indicate that by editing the first post in the topic, and adding [SOLVED] to the title. Thanks!

lucio
Level 1
Level 1
Posts: 36
Joined: Thu Feb 01, 2018 2:01 pm

Re: impossible to update

Post by lucio » Mon Feb 12, 2018 6:07 am

if i click for "sources" nothing happens, it doesn't open at all and so i can't change anything
System: Host: pc Kernel: 4.13.0-32-generic x86_64 (64 bit)
Desktop: MATE 1.18.0 Distro: Linux Mint 18.3 Sylvia

User avatar
Moem
Level 15
Level 15
Posts: 5620
Joined: Tue Nov 17, 2015 9:14 am
Location: The Netherlands
Contact:

Re: impossible to update

Post by Moem » Mon Feb 12, 2018 6:18 am

It should open a dialog that asks for your password at that point. Sounds like this might be a permission issue. Not that I can help with that... but I'm sure other people can.
Image

If your issue is solved, kindly indicate that by editing the first post in the topic, and adding [SOLVED] to the title. Thanks!

User avatar
Pjotr
Level 20
Level 20
Posts: 10152
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: impossible to update

Post by Pjotr » Mon Feb 12, 2018 6:43 am

lucio wrote:
Mon Feb 12, 2018 6:07 am
if i click for "sources" nothing happens, it doesn't open at all and so i can't change anything
Do this in the terminal (use copy/paste to transfer the line below into it):

Code: Select all

gksudo xed /etc/apt/sources.list.d/official-package-repositories.list
Press Enter.

Delete everything in that text file, and then copy/paste this new text into it:

Code: Select all

deb http://packages.linuxmint.com sylvia main upstream import backport 

deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ xenial partner
Save the changes and close the file.

Then copy/paste:

Code: Select all

sudo apt-get update
Press Enter.

Then copy/paste:

Code: Select all

sudo mintupdate-tool upgrade -r -l1234 -s -nk
Press Enter.

Finally, launch Update Manager and install any kernel updates.
Tip: 10 things to do after installing Linux Mint 18.3 Sylvia
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

lucio
Level 1
Level 1
Posts: 36
Joined: Thu Feb 01, 2018 2:01 pm

Re: impossible to update

Post by lucio » Mon Feb 12, 2018 7:42 am

thank you. now the update manager says that the system is updated. i still can't open the sources manager and apparently can't install any kind of software.
System: Host: pc Kernel: 4.13.0-32-generic x86_64 (64 bit)
Desktop: MATE 1.18.0 Distro: Linux Mint 18.3 Sylvia

User avatar
Pjotr
Level 20
Level 20
Posts: 10152
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: impossible to update

Post by Pjotr » Mon Feb 12, 2018 7:58 am

lucio wrote:
Mon Feb 12, 2018 7:42 am
thank you. now the update manager says that the system is updated. i still can't open the sources manager and apparently can't install any kind of software.
This is very strange. Although you now have an effective workaround, something is very wrong in your system. You might want to consider a clean re-installation of Mint.
Tip: 10 things to do after installing Linux Mint 18.3 Sylvia
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

Cosmo.
Level 23
Level 23
Posts: 17830
Joined: Sat Dec 06, 2014 7:34 am

Re: impossible to update

Post by Cosmo. » Mon Feb 12, 2018 9:57 am

There is one chance left:
Create a fresh new user account and make sure, that this is an admin type account (so that the account belongs to the group sudo). Reboot into the test account and test the issue there.

asinoro
Level 4
Level 4
Posts: 245
Joined: Mon Feb 12, 2018 11:43 am

Re: impossible to update

Post by asinoro » Mon Feb 12, 2018 11:50 am

If you open synaptic > Reload > on the left select - installed upgradeable > Double click on the package name – from gray will turn to green > Apply. What message comes?

lucio
Level 1
Level 1
Posts: 36
Joined: Thu Feb 01, 2018 2:01 pm

Re: impossible to update

Post by lucio » Mon Feb 12, 2018 12:58 pm

asinoro wrote:
Mon Feb 12, 2018 11:50 am
If you open synaptic > Reload > on the left select - installed upgradeable > Double click on the package name – from gray will turn to green > Apply. What message comes?
i can't open synaptic. i click it and nothing happens. seems like i have to reinstall the system every few days...
System: Host: pc Kernel: 4.13.0-32-generic x86_64 (64 bit)
Desktop: MATE 1.18.0 Distro: Linux Mint 18.3 Sylvia

asinoro
Level 4
Level 4
Posts: 245
Joined: Mon Feb 12, 2018 11:43 am

Re: impossible to update

Post by asinoro » Mon Feb 12, 2018 1:04 pm

If you type in the terminal.
sudo synaptic
what message come?

lucio
Level 1
Level 1
Posts: 36
Joined: Thu Feb 01, 2018 2:01 pm

Re: impossible to update

Post by lucio » Mon Feb 12, 2018 1:16 pm

asinoro wrote:
Mon Feb 12, 2018 1:04 pm
If you type in the terminal.
sudo synaptic
what message come?
if i type that it opens, and it has installed the two things that were in there. now the update manager tells me it's up to date, but i still can't open synaptic without the terminal, can't install anything. so weird.
is ubuntu or manjaro any easier? i just want a very basic usage that works for years with no maintenance, i am wasting too much time on this mint.
System: Host: pc Kernel: 4.13.0-32-generic x86_64 (64 bit)
Desktop: MATE 1.18.0 Distro: Linux Mint 18.3 Sylvia

Post Reply

Return to “Software & Applications”